import os
import csv

def export_to_csv(data,output_dir,ifc_input,field_names:list):
    # Export to csv file with UTF-8 encoding and ';' as the separator
    
    ifc_filename = os.path.splitext(os.path.basename(ifc_input))[0]
    file_name = os.path.join(output_dir, f"{ifc_filename}.csv")

    with open(file_name, "w", newline="",encoding="utf-8") as csvfile:
        writer = csv.DictWriter(csvfile, field_names, delimiter = ';')

        writer.writeheader()
        for row in data:
            writer.writerow(row)
